API ReferenceProvider schedules
List provider schedules
List all provider schedules account-wide or for a specific provider.
Authorization
authorization AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
Range
1 <= valuepage_size?integer
Number of items per page
Range
1 <= valueprovider_ids?string
Filter by provider ID(s). Accepts a single ID or comma-delimited list of IDs.
location_ids?string
Filter by location ID(s). Accepts a single ID or comma-delimited list of IDs.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/provider_schedules"{ "data": [ { "created_at": "2025-02-17T17:49:19Z", "effective_from": "2025-01-01", "effective_to": "2025-12-31", "id": "psch_d025a96ac0c6", "object": "provider_schedule", "public_bookings": { "enabled": true }, "time_zone": "America/New_York", "updated_at": "2025-02-17T17:49:19Z", "weekly_rules": [ { "day": "mo", "end_time": "17:00", "start_time": "09:00" } ] } ], "meta": { "current_page": 1, "page_size": 10, "total_count": 50, "total_pages": 5 }}